#!/bin/sh # $FreeBSD: /tmp/pcvs/ports/www/apache2/Attic/pkg-install,v 1.4 2004-04-07 14:27:47 clement Exp $ # if [ "$2" != "PRE-INSTALL" ]; then exit 0 fi WWWUSER=www WWWGROUP=${WWWUSER} WWWUID=80 WWWGID=${WWWUID} if ! pw groupshow "${WWWGROUP}" 2>/dev/null 1>&2; then if pw groupadd ${WWWGROUP} -g ${WWWGID}; then echo "Added group \"${WWWGROUP}\"." else echo "Adding group \"${WWWGROUP}\" failed..." exit 1 fi fi if ! pw usershow "${WWWUSER}" 2>/dev/null 1>&2; then if pw useradd ${WWWUSER} -u ${WWWUID} -g ${WWWGROUP} -h - \ -s "/sbin/nologin" -d "/nonexistent" \ -c "World Wide Web Owner"; \ then echo "Added user \"${WWWUSER}\"." else echo "Adding user \"${WWWUSER}\" failed..." exit 1 fi fi exit 0 tory'/>
aboutsummaryrefslogtreecommitdiffstats
path: root/textproc/mgdiff
Commit message (Expand)AuthorAgeFilesLines
* Prevent collision with getline(3)bapt2016-05-141-0/+92
* MASTER_SITES cleanup.mat2015-05-141-2/+1
* - Provide .desktop filejbeich2015-02-245-15/+583
* Cleanup plistantoine2014-11-161-1/+0
* Unbreakantoine2014-07-302-27/+19
* Rename textproc/ patch-xy patches to reflect the files they modify.adamw2014-07-292-1/+1
* Stagify.vanilla2014-06-114-8/+7
* Add NO_STAGE all over the place in preparation for the staging support (cat: ...bapt2013-09-211-0/+1
* Convert from USE_MOTIF to USES=motifbapt2013-07-101-2/+1
* Convert to USES=imakebapt2013-06-291-7/+3
* -remove MD5ohauer2011-07-031-1/+0
* Bump PORTREVISION after open-mofit updatemakc2011-05-021-1/+1
* Convert most of remaining ports that depend on xorg-libraries toamdmi32009-06-091-1/+2